ObservableSettings Class Reference

global repository for run-time library settings More...

`#include <ql/patterns/observable.hpp>`

Inheritance diagram for ObservableSettings:
[legend]

## Public Member Functions

void | disableUpdates (bool deferred=false)
void | enableUpdates ()
bool | updatesEnabled ()
bool | updatesDeferred ()

## Friends

class | Singleton< ObservableSettings >
class | Observable

## Additional Inherited Members

Static Public Member Functions inherited from Singleton< ObservableSettings >
static ObservableSettings & | instance ()
| access to the unique instance

## Detailed Description

global repository for run-time library settings